$.fn.toggle = function( fn, fn2 ) {
    var args = arguments,guid = fn.guid || $.guid++,i=0,
    toggle = function( event ) {
      var lastToggle = ( $._data( this, "lastToggle" + fn.guid ) || 0 ) % i;
      $._data( this, "lastToggle" + fn.guid, lastToggle + 1 );
      event.preventDefault();
      return args[ lastToggle ].apply( this, arguments ) || false;
    };
    toggle.guid = guid;
    while ( i < args.length ) {
      args[ i++ ].guid = guid;
    }
    return this.click( toggle );
  };

//--
var wid = $("body,html").width()
$(function(){
	$('.headDiv').find('.lan').hover(
	   function(){
	   	   $(this).addClass('on');
		   },
	   function(){
	   	   $(this).removeClass('on');
		   }
	)
	//--
     var links = $('.nav').find('a'),
        navon = links.filter('.aNow'),
        link  = navon;
	$('.sNavA').each(function (i) {
        $(this).hover(
		   function () {
			   var xx = $('.sNavA').eq(i).width();
			   var cc = ($('.sNav').width() - xx)/2;
		       $('.sNav').eq(i).addClass('on');
		       $('.sNav').eq(i).css('left',$(this).offset().left - cc);
		       $('.nav').find('a').removeClass('aNow');
		   },
		   function () {
			   $('.sNavA').eq(i).removeClass('aNow1');
		       $('.sNav').removeClass('on');
		       link = navon.addClass('aNow');
		   }
		)
    })
    //--
    $('.sNav').each(function (i) {
        $(this).hover(
		   function () {
		       $('.sNavA').eq(i).addClass('aNow1');
		       $('.nav').find('a').removeClass('aNow');
		       $(this).addClass('on');
		   },
		   function () {
		       $('.sNavA').removeClass('aNow1');
		       $(this).removeClass('on');
		       link = navon.addClass('aNow');
		   }
		)
	})
	//--
    $('.navIco').click(function(){
		$('.navLayer').animate({right: "0",width:"100%"}, 500);
		})
	$('.navLayer').find('.closeBtn').click(function(){
		$('.navLayer').animate({right: "-100%",width:0}, 500);
		$(".subNav1").removeClass("currentDt");
		$(".subNav1").next(".navContent").slideUp(500)
		})
	//--
	$(".subNav1").click(function(){
		$(this).toggleClass("currentDt").siblings(".subNav1").removeClass("currentDt")
		$(this).next(".navContent").slideToggle(300).siblings(".navContent").slideUp(500)
	})
	//--
	
	//--
	$('.tabContentDiv').find('.tabContent:first').show();
	$('.tab').each(function(i){
		$(this).find('li').each(function(ii){
			$(this).hover(
			function(){
				$('.tab').eq(i).find('li').removeClass('liNow');
				$(this).addClass('liNow');
				$('.tabContentDiv').eq(i).find('.tabContent').hide();
				$('.tabContentDiv').eq(i).find('.tabContent').removeClass('on');
				$('.tabContentDiv').eq(i).find('.tabContent').eq(ii).addClass('on');
				$('.tabContentDiv').eq(i).find('.tabContent').eq(ii).show();
				},
			function(){}	
				)
			})
		})
	//--
	$('.tabContentDiv2').find('.tabContent2:first').show();
	$('.tab2').each(function(i){
		$(this).find('li').each(function(ii){
			$(this).click(
			function(){
				$('.tab2').eq(i).find('li').removeClass('liNow');
				$(this).addClass('liNow');
				$('.tabContentDiv2').eq(i).find('.tabContent2').hide();
				$('.tabContentDiv2').eq(i).find('.tabContent2').eq(ii).show();
				}
				)
			})
		})
	//--
	$('.newShow .content').find('img').css('max-width', '100%');
    $('.newShow .content').find('img').css('height', 'auto');
	$('.newShow .content').find('input').css('max-width', '100%');
    $('.newShow .content').find('input').css('height', 'auto');
    //--手机二级导航下拉
	$('.sideTitleTel').each(function(i){
		function showNav(selectObj) {	//展开效果
			$('.sideTitleTel').children(".sideTitleNav").slideUp(200);
			selectObj.children(".sideTitleNav").slideDown(200);
			selectObj.find('.con').addClass('on');
		}  
		function hideNav(selectObj){    //关闭效果
			selectObj.children(".sideTitleNav").slideUp(200);
			selectObj.find('.con').removeClass('on');
		}
		function hideAllNav(){
			$('.sideTitleTel .sideTitleNav').slideUp(200);
			$('.sideTitleTel').find('.con').removeClass('on');
		};

		$(this).children('.con').click(function(){
			var index = $(this).parent().index();
			var selectObj = $(this).parent();
			$(this).next().is(":hidden")?showNav(selectObj):hideNav(selectObj);
		});
		$("body").click(function(i){ 
			!$(i.target).parents(".sideTitleTel").first().is($(".sideTitleTel")) ? hideAllNav():"";
		});

	});
	//--
	if($('.topA').length>0){
		$(window).scroll(function(){
			if($(window).scrollTop()>500){
				$('.topA').fadeIn(200);
				}else{
					$('.topA').fadeOut(200);
					}
			})
		}
	//--
	$('.topA').click(function(){
		$('body,html').animate({scrollTop: 0}, 500);
	})
})
//--
$(function () {
	var privacy = sessionStorage.getItem("privacy");
	if (privacy == null) {
		$(".notice-section").slideDown(500)
	}
})
//--
function rejectNoticeBox() {
	$(".notice-section").hide();
}
function closeNoticeBox() {
	localStorage.setItem("privacy", "true");
	$(".notice-section").hide();
}

// 搜索显示隐藏
function onPcInput(e){
    if($(e).hasClass('right-icon')){
        $('.head-search').fadeIn(300);
    }else if($(e).hasClass('box-hiden')){
        $('.head-search').fadeOut(300);
    }
}

// 登录框显示隐藏
function quoteNow(e){
    if($(e).hasClass('quote')){
        $('.quoteLayer').fadeIn(300);
    }else if($(e).hasClass('close')){
        $('.quoteLayer').fadeOut(300);
    }
}